GuideLab Docs

Set a draft shipping type rule

PUT
/price-lists/{priceListId}/versions/{versionId}/shipping-types/{shippingTypeId}

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

priceListId*string
Length1 <= length
versionId*string
Length1 <= length
shippingTypeId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/price-lists/string/versions/string/shipping-types/string" \  -H "Content-Type: application/json" \  -d '{    "expectedRevision": 0,    "rule": {      "type": "catalog"    }  }'
{  "rule": {    "id": "string",    "labId": "string",    "priceListVersionId": "string",    "targetKind": "product",    "productId": "string",    "bundleId": "string",    "shippingTypeId": "string",    "fixedPrice": "string",    "discountPercent": "string",    "overrides": {      "bandTable": {        "perArch": true,        "bands": [          {            "minCount": 1,            "price": "string",            "ponticPrice": "string",            "implantPrice": "string"          }        ],        "materialBands": {          "property1": [            {              "minCount": 1,              "price": "string",              "ponticPrice": "string",              "implantPrice": "string"            }          ],          "property2": [            {              "minCount": 1,              "price": "string",              "ponticPrice": "string",              "implantPrice": "string"            }          ]        },        "catalog": {          "perArch": true,          "bands": [            {              "minCount": 1,              "price": "string",              "ponticPrice": "string",              "implantPrice": "string"            }          ],          "materialBands": {            "property1": [              {                "minCount": 1,                "price": "string",                "ponticPrice": "string",                "implantPrice": "string"              }            ],            "property2": [              {                "minCount": 1,                "price": "string",                "ponticPrice": "string",                "implantPrice": "string"              }            ]          }        }      },      "surcharges": {        "implant": "string",        "pontic": "string"      },      "materialMarkups": {        "property1": {          "markupType": "value",          "markupValue": "string"        },        "property2": {          "markupType": "value",          "markupValue": "string"        }      },      "optionPrices": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "switchPrices": {        "property1": "string",        "property2": "string"      }    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "revision": 0}
Empty
Empty
Empty
Empty
Empty
Empty